org.apache.solr.hadoop

## Class PathParts

- java.lang.Object
- - org.apache.solr.hadoop.PathParts

-     public final class PathParts
      extends Object

  Extracts various components of an HDFS Path

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathParts(String uploadURL, org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.conf.Configuration` | `getConfiguration()`
    `String` | `getDownloadURL()`
    `org.apache.hadoop.fs.FileStatus` | `getFileStatus()`
    `org.apache.hadoop.fs.FileSystem` | `getFileSystem()`
    `String` | `getHost()`
    `String` | `getId()`
    `String` | `getName()`
    `int` | `getPort()`
    `String` | `getScheme()`
    `org.apache.hadoop.fs.Path` | `getUploadPath()`
    `String` | `getUploadURL()`
    `String` | `getURIPath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathParts

          public PathParts(String uploadURL,
                           org.apache.hadoop.conf.Configuration conf)
                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getUploadURL

          public String getUploadURL()

    - #### getUploadPath

          public org.apache.hadoop.fs.Path getUploadPath()

    - #### getURIPath

          public String getURIPath()

    - #### getName

          public String getName()

    - #### getScheme

          public String getScheme()

    - #### getHost

          public String getHost()

    - #### getPort

          public int getPort()

    - #### getId

          public String getId()

    - #### getDownloadURL

          public String getDownloadURL()

    - #### getConfiguration

          public org.apache.hadoop.conf.Configuration getConfiguration()

    - #### getFileSystem

          public org.apache.hadoop.fs.FileSystem getFileSystem()

    - #### getFileStatus

          public org.apache.hadoop.fs.FileStatus getFileStatus()
                                                        throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.